await seam.acs.encoders.list();
/*
[
{
"acs_encoder_id": "681da2d6-4ac6-4b33-8c03-86281b761325",
"acs_system_id": "c85406d2-214f-4e11-8000-a2e5b5a362a4",
"connected_account_id": "1b9a3e0d-443f-4063-b619-4ca7e2a97750",
"created_at": "2025-06-16T16:54:17.946527Z",
"display_name": "Encoder 1",
"errors": [],
"workspace_id": "f863ac85-2c4e-49ae-8679-3ec2417f1d62"
}
]
*/{
"acs_encoders": [
{
"acs_encoder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"acs_system_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connected_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"errors": [
{
"created_at": "2023-11-07T05:31:56Z",
"error_code": "acs_encoder_removed",
"message": "<string>"
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"pagination": {
"has_next_page": true,
"next_page_cursor": "<string>",
"next_page_url": "<string>"
}
}Encoders
List Encoders
Returns a list of all encoders.
GET
/
acs
/
encoders
/
list
await seam.acs.encoders.list();
/*
[
{
"acs_encoder_id": "681da2d6-4ac6-4b33-8c03-86281b761325",
"acs_system_id": "c85406d2-214f-4e11-8000-a2e5b5a362a4",
"connected_account_id": "1b9a3e0d-443f-4063-b619-4ca7e2a97750",
"created_at": "2025-06-16T16:54:17.946527Z",
"display_name": "Encoder 1",
"errors": [],
"workspace_id": "f863ac85-2c4e-49ae-8679-3ec2417f1d62"
}
]
*/{
"acs_encoders": [
{
"acs_encoder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"acs_system_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connected_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"errors": [
{
"created_at": "2023-11-07T05:31:56Z",
"error_code": "acs_encoder_removed",
"message": "<string>"
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"pagination": {
"has_next_page": true,
"next_page_cursor": "<string>",
"next_page_url": "<string>"
}
}Authorizations
pat_with_workspaceconsole_session_with_workspaceapi_keyclient_session_with_customerclient_session_with_customer_rosupport_read_only_token
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
ID of the access system for which you want to retrieve all encoders.
IDs of the access systems for which you want to retrieve all encoders.
IDs of the encoders that you want to retrieve.
Number of encoders to return.
Identifies the specific page of results to return, obtained from the previous page's next_page_cursor.
Was this page helpful?